{% extends "bandeau.html" %}
{% block main %}
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='eleve.css') }}">
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='voir-eleve.css') }}">
<title> Voir les Eleves </title>
<body>
    <h1> Voici les Eleves du Club </h1>
    <div id="tableau">
        <table >
            <thead>
                <tr>
                    <th> Id </th>
                    <th> Nom </th>
                    <th> Prenom </th>
                    <th> Poids  </th>
                    <th> Age de l'Eleve </th>
                    <th> Niveau </th>
                    <th> Cotisation payée ? </th>
                </tr>
            </thead>
            <tbody>
            {% for el in eleves %}
                <tr>  
                    <td> {{ el.idEl }} </td>
                    <td> {{ el.nomEl }} </td>
                    <td> {{ el.prenomEl }} </td>
                    <td> {{ el.poidsEl }} </td>
                    <td> {{ el.ageEl }} </td>
                    <td> {{ el.niveauEl }} </td>
                    <!-- remplacer par icône -->
                    {% if el.cotisationAnn==1 %}
                    <td> Non</td>
                    {% else %}
                    <td> Oui </td>
                    {% endif %}
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    <!-- si c'est le moniteur administrateur -->
    {% if id == 1002 %}
    <table id="tabbas">
        <form action="{{url_for('create_eleve', id=id)}}" method="post">
            <tr>
                <!-- vide pour l'id  -->
                <td> </td>
                <td><input type="text" placeholder="Nom" name="nom" pattern="[aA-zZ - é è à ]{3,20}" required></td>
                <td><input type="text" placeholder="Prenom" name="prenom" pattern="[aA-zZ - é è à ]{3,20}" required></td>
                <td><input type="number" placeholder="poids" name="poids" pattern="[0-9]{2,3}" required></td>
                <td><input type="number" placeholder="age" name="age" pattern="[0-9]{1,3}" required></td>
                <td><input type="number" placeholder="niveau" name="niveau" pattern="[0-9]{1,2}" required></td>
                <td><select name="cotisation" id="cotisation" required>
                    <option value= "non" > non </option>
                    <option value= "oui" > oui </option>
                </select></td>
                <td><input class="bouton" id="create_eleve" type="submit" value="Valider"></td>
            </tr>          
        </form>
    </table>
    {% endif %}
</body>
{% endblock %}